Bug 80033 - Configuration crashed when apply is pressed
Configuration crashed when apply is pressed
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-18 17:58 EST by Edward DeBuhr
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 11:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward DeBuhr 2002-12-18 17:58:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Traceback (most recent call last):
  File "/usr/sbin/internet-druid", line 689, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/internet-druid", line 320, in save
    self.saveProfiles()
  File "/usr/sbin/internet-druid", line 336, in saveProfiles
    profilelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 300, in save
    for i in hoconf.keys():
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 483, in keys
    keys.append(var[1])
IndexError: list index out of range

Local variables in innermost frame:
var: ['192.168.100.61']
keys: []
self: <rhpl.Conf.ConfEHosts instance at 0x86713b4>
place: 195


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.bring up network configurator
2.make changes/adds to any field
3.press apply
4.Exception error
5.dump
    

Actual Results:  see summary above

Expected Results:  exit clean

Additional info:
Comment 1 Mario Vega 2003-01-20 11:18:36 EST
I have the same problem but in a hardware i386 and the message is :


Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/bin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", 
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/bin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 
58, in network
    self.prefix()
  File "/usr/bin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 
37, in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'

Local variables in innermost frame:
text: 
self: <netconfpkg.ipcalc.IPCalc instance at 0x84f2814>
Comment 2 Bill Nottingham 2006-08-07 14:26:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 11:54:44 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.